## org.eclipse.jst.jsf.common.dom
Class DOMAdapter

    java.lang.Object
      org.eclipse.jst.jsf.common.dom.DOMAdapter

Direct Known Subclasses:
  AttrDOMAdapter, ElementDOMAdapter

    public abstract class DOMAdapter

extends java.lang.Object

A generic adapter that can adapt some non-DOM things to a dom-like structure like an IRegion to a DOM-like structure.

Provisional API - subject to change

Constructor Summary
`DOMAdapter()`

Method Summary
`abstract java.lang.String` `getLocalName()`
`abstract java.lang.String` `getNodeName()`
`abstract short` `getNodeType()`
`abstract java.lang.String` `getPrefix()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMAdapter

    public DOMAdapter()

Method Detail

### getNodeType

    public abstract short getNodeType()

  Returns:
    the node type. Conforms to Node.getNodeType.

### getPrefix

    public abstract java.lang.String getPrefix()

  Returns:
    the name prefix. Conforms to W3C Node.getPrefix()

### getLocalName

    public abstract java.lang.String getLocalName()

  Returns:
    the local part of the name. Conforms to W3C Node.getLocalName()

### getNodeName

    public abstract java.lang.String getNodeName()

  Returns:
    the name of the node. Conforms the W3C Node.getNodeName interface